# ------------------------------------------------------------------------------
# Cargo Build Stage
# ------------------------------------------------------------------------------

FROM docker.io/rust:1.50-alpine as cargo-build

RUN rustup default nightly && rustup update

WORKDIR /work

COPY Cargo.toml .
COPY src ./src

RUN apk add --no-cache musl-dev
RUN cargo build --release

# ------------------------------------------------------------------------------
# Final Stage
# ------------------------------------------------------------------------------

FROM alpine:3.13

COPY --from=cargo-build /work/target/release/irc-radio /usr/local/bin

RUN apk add openssl youtube-dl
RUN adduser radio -D

USER radio

CMD ["/usr/local/bin/irc-radio"]

